## DA

- using distributed arrays; Bratu nonlinear PDE in 3d.
  We solve the Bratu (SFI - solid fuel ignition) problem in a 3D rectangular
  domain, using distributed arrays (DAs) to partition the parallel grid.
- using distributed arrays; Nonlinear driven cavity with multigrid in 2d.
  The 2D driven cavity problem is solved in a velocity-vorticity formulation.
  The flow can be driven with the lid or with bouyancy or both:
  -lidvelocity <lid>, where <lid> = dimensionless velocity of lid
  -grashof <gr>, where <gr> = dimensionless temperature gradent
  -prandtl <pr>, where <pr> = dimensionless thermal/momentum diffusity ratio
  -contours : draw contour plots of solution
- using distributed arrays; Grad-Shafranov solver for one dimensional CHI equilibrium.
- using distributed arrays; Nonlinear driven cavity with multigrid and pseudo timestepping 2d.
  The 2D driven cavity problem is solved in a velocity-vorticity formulation.
  The flow can be driven with the lid or with bouyancy or both:
  -lidvelocity <lid>, where <lid> = dimensionless velocity of lid
  -grashof <gr>, where <gr> = dimensionless temperature gradent
  -prandtl <pr>, where <pr> = dimensionless thermal/momentum diffusity ratio
  -contours : draw contour plots of solution
- using distributed arrays; Hall MHD with in two dimensions with time stepping and multigrid.
  -options_file ex29.options
  other PETSc options
  -resistivity <eta>
  -viscosity <nu>
  -skin_depth <d_e>
  -larmor_radius <rho_s>
  -contours : draw contour plots of solution
- using distributed arrays; Bratu nonlinear PDE in 2d.
  We solve the Bratu (SFI - solid fuel ignition) problem in a 2D rectangular
  domain, using distributed arrays (DAs) to partition the parallel grid.
- using distributed arrays;
  Description: This example solves a nonlinear system in parallel with SNES.
  We solve the Bratu (SFI - solid fuel ignition) problem in a 2D rectangular
  domain, using distributed arrays (DAs) to partition the parallel grid.
- using distributed arrays;
  Description: Solves a nonlinear system in parallel with SNES.
  We solve the Bratu (SFI - solid fuel ignition) problem in a 2D rectangular
  domain, using distributed arrays (DAs) to partition the parallel grid.
- using distributed arrays Nonlinear Radiative Transport PDE with multigrid in 2d.
  Uses 2-dimensional distributed arrays.
  A 2-dim simplified Radiative Transport test problem is used, with analytic Jacobian.
  Solves the linear systems via multilevel methods
  The command line
  options are:
  -tleft <tl>, where <tl> indicates the left Diriclet BC
  -tright <tr>, where <tr> indicates the right Diriclet BC
  -beta <beta>, where <beta> indicates the exponent in T
- using distributed arrays Nonlinear Radiative Transport PDE with multigrid in 3d.
  Uses 3-dimensional distributed arrays.
  A 3-dim simplified Radiative Transport test problem is used, with analytic Jacobian.
  Solves the linear systems via multilevel methods
  The command line
  options are:
  -tleft <tl>, where <tl> indicates the left Diriclet BC
  -tright <tr>, where <tr> indicates the right Diriclet BC
  -beta <beta>, where <beta> indicates the exponent in T
- using distributed arrays Minimum surface problem
  Uses 2-dimensional distributed arrays.
  Solves the linear systems via multilevel methods